EMF::EMRSCALEVIEWPORTEXTEX(3)

NAME
EMF::EMRSCALEVIEWPORTEXTEX - EMF Scale Viewport Extents (ex).

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD.

  Public Member Functions

EMRSCALEVIEWPORTEXTEX (LONG x_num, LONG x_den, LONG y_num, LONG y_den)
EMRSCALEVIEWPORTEXTEX (DATASTREAM &ds)
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Public Member Functions inherited from EMF::METARECORD
virtual ~METARECORD ()

Detailed Description

EMF Scale Viewport Extents (ex).

The viewport extent is the device coordinate (i.e. pixels) size of the viewport. Scale the viewport extents by the ratios of the given values. (OpenOffice accepts this, but not SETVIEWPORTEXT(?))

Constructor & Destructor Documentation

  EMF::EMRSCALEVIEWPORTEXTEX::EMRSCALEVIEWPORTEXTEX (LONG x_num, LONG x_den, LONG y_num, LONG y_den) [inline]

Parameters
    x_num numerator of x scale
    x_den denominator of x scale
    y_num numerator of y scale
    y_den denominator of y scale

References EMRSCALEVIEWPORTEXTEX().

Referenced by EMRSCALEVIEWPORTEXTEX().

  EMF::EMRSCALEVIEWPORTEXTEX::EMRSCALEVIEWPORTEXTEX (DATASTREAM & ds) [inline]
Construct a ScaleViewportExtEx record from the input stream.

Parameters
    ds Metafile datastream.

Member Function Documentation

  void EMF::EMRSCALEVIEWPORTEXTEX::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [inline], [virtual]
Execute this record in the context of the given device context.

Parameters
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

  bool EMF::EMRSCALEVIEWPORTEXTEX::serialize (DATASTREAM ds) [inline], [virtual]

Parameters
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMRSCALEVIEWPORTEXTEX::size (void ) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.